Tim pengembang inti Joomla telah mengumumkan ketersediaan Joomla 3.3, versi yang diklaim sebagai versi paling aman dan stabil dari semua versi Joomla 3 yang ada.
Apabila server anda sudah menggunakan versi PHP 5.3.10 maka anda dapat segera mengupgrade versi Joomla 3 anda, karena Joomla 3.3 membutuhkan sekurangnya versi PHP 5.3.10 untuk dapat menjalankan Joomla 3.3.

Hal baru dalam Joomla 3.3

Joomla 3.3 menggunakan tagline marketing 'Do More' untuk menggambarkan secara umum kemampuan Joomla versi terbaru ini.

Apakah saya harus mengupdate Joomla 3.x saya ke Joomla 3.3?

Ya, anda dianjurkan untuk mengupdate Joomla 3.x anda ke Joomla 3.3. Namun anda harus melakukan pengecekan terlebih dahulu terhadap konfigurasi server Anda, karena Joomla 3.3 membutuhkan setidaknya PHP versi 5.3.10 untuk dapat menjalankan Joomla 3.3. Anda juga sebaiknya memeriksa ektensi-ekstensi yang Anda pergunakan apakah bermasalah atau tidak pada Joomla 3.3, terutama untuk ekstensi yang menggunakan lib javascript mootool, karena penggunaan mootool pada Joomla 3.3 sudah dihilangkan.

Bagaimana dengan Joomla 2.5.20?

Joomla 2.5.20 adalah maintenance release yang berisi beberapa perbaikan untuk beberapa masalah yang ditemukan pada versi sebelumnya. Walaupun tidak ada perbaikan disisi keamanan anda sebaiknya selalu mengupdate versi Joomla Anda ke versi terakhir.

Selamat mencoba